
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef genHum_ERROR_H
#define genHum_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_genHum    (11111)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */


/* std errors */
#define S_genHum_stdGenoM_ACTIVITY_INTERRUPTED       728228865   /* 11111<<16 | 0x8000 | 100<<8 | 1 */
#define S_genHum_stdGenoM_TOO_MANY_ACTIVITIES        728228866   /* 11111<<16 | 0x8000 | 100<<8 | 2 */
#define S_genHum_stdGenoM_ACTIVITY_FAILED            728228867   /* 11111<<16 | 0x8000 | 100<<8 | 3 */
#define S_genHum_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 728228868   /* 11111<<16 | 0x8000 | 100<<8 | 4 */
#define S_genHum_stdGenoM_UNKNOWN_ACTIVITY           728228869   /* 11111<<16 | 0x8000 | 100<<8 | 5 */
#define S_genHum_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 728228870   /* 11111<<16 | 0x8000 | 100<<8 | 6 */
#define S_genHum_stdGenoM_SYSTEM_ERROR               728228871   /* 11111<<16 | 0x8000 | 100<<8 | 7 */
#define S_genHum_stdGenoM_ACTIVITY_ALREADY_ENDED     728228872   /* 11111<<16 | 0x8000 | 100<<8 | 8 */
#define S_genHum_stdGenoM_WAIT_INIT_RQST             728228873   /* 11111<<16 | 0x8000 | 100<<8 | 9 */
#define S_genHum_stdGenoM_CONTROL_CODEL_ERROR        728228874   /* 11111<<16 | 0x8000 | 100<<8 | 10 */
#define S_genHum_stdGenoM_EXEC_TASK_SUSPENDED        728228875   /* 11111<<16 | 0x8000 | 100<<8 | 11 */
#define S_genHum_stdGenoM_BAD_BLOCK_TYPE             728228876   /* 11111<<16 | 0x8000 | 100<<8 | 12 */
#define S_genHum_stdGenoM_BAD_POSTER_TYPE            728228877   /* 11111<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define GENHUM_H2_ERR_MSGS {\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int genHumRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
